hsini-0.5.2.2: ini configuration files

Copyright | 2011-2014 Magnus Therning
License | BSD3
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Ini.Reader

Description

Parser for configurations.

Synopsis

- parse :: String -> IniParseResult Config
- data IniReaderError
  - = IniParserError String
  - | IniSyntaxError String
  - | IniOtherError String
- type IniParseResult = Either IniReaderError

# Documentation

parse :: String -> IniParseResult Config Source #

Parser for a configuration contained in a `String`.

data IniReaderError Source #

Constructors

IniParserError String |
IniSyntaxError String |
IniOtherError String |

#### Instances

Instances details

Show IniReaderError Source # |
Instance details Defined in Data.Ini.Reader.Internals Methods showsPrec :: Int -> IniReaderError -> ShowS Source # show :: IniReaderError -> String Source # showList :: [IniReaderError] -> ShowS Source #
Eq IniReaderError Source # |
Instance details Defined in Data.Ini.Reader.Internals Methods (==) :: IniReaderError -> IniReaderError -> Bool Source # (/=) :: IniReaderError -> IniReaderError -> Bool Source #

type IniParseResult = Either IniReaderError Source #